light-mode-image
Learn
API ReferenceParticipant verifier certificates

Retrieve all participant verifier certificates

Roles

admindts-provider

Analytics Events

ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_RETRIEVE_LIST_STARTECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_RETRIEVE_LIST_SUCCESSECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_RETRIEVE_LIST_FAIL
GET/v1/ecosystems/{ecosystemId}/participants/{participantId}/verifier-certificates

Retrieve all verifier certificates for the specified participant.

Analytic events

  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_RETRIEVE_LIST_START
  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_RETRIEVE_LIST_SUCCESS
  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

participantId*string

The UUID of the participant

Formatuuid
ecosystemId*string

The UUID of the ecosystem

Formatuuid

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08/verifier-certificates"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "certificateFingerprint": "string",      "certificatePem": "string",      "status": "Active",      "linkCertificateInfo": {        "issuerCertificateId": "23838a57-a5a0-4d6b-bac1-848c066a68a2",        "certificatePem": "string",        "certificateFingerprint": "string"      }    }  ],  "nextCursor": "string"}

How would you rate this page?